%define momorel 8
Name: gscanbus
Version: 0.7.1
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
Source0: http://www.ivistar.de/download/%{name}/%{name}-%{version}.tgz
Source1: gscanbus.desktop
Patch0: installdir.patch
URL: http://www.ivistar.de/0500opensource.php3
BuildPreReq: libraw1394-devel >= 0.9.0, gtk+1-devel >= 1.2
Requires: libraw1394 >= 0.9.0, dev >= 3.2-8k, gtk+1 >= 1.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

Summary: a little bus scanning, testing and topology visualizing tool for the Linux IEEE1394 subsystem

%description 
gscanbus is a little bus scanning, testing and topology visualizing tool for
the Linux IEEE1394 subsystem, with some AV/C support, especially for
controlling Camcorders and VCRs. It is intended as a debugging tool in
IEEE1394 development, but can also be used to simply check your IEEE1394 setup
on Linux.

%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p1 -b .installdir

%build
%configure
make

%install
%makeinstall
install -m 0755 -d %{buildroot}%{_sysconfdir}/X11/applnk/System
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/applnk/System

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%config %{_sysconfdir}/guid-resolv.conf
%config %{_sysconfdir}/oui-resolv.conf
%{_bindir}/gscanbus
%{_sysconfdir}/X11/applnk/System/%{name}.desktop

%changelog
* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.1-8m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Jan 3 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-7m)
- rebuild against for libraw1394

* Thu Mar 24 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.7.1-6k)
- add gscanbus.desktop

* Thu Mar 24 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.7.1-4k)
- add Requires: dev >= 3.2-8k, gtk+1 >= 1.2

* Thu Mar 24 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.7.1-2k)
- wrote spec file for kondara
- add installdir.patch
